POST
/
v1
/
messages
/
presence
Send presence state
curl --request POST \
  --url https://api.wazapin.com/v1/messages/presence \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_id": "<string>",
  "state": "<string>",
  "to": "<string>",
  "is_audio": true,
  "message_id": "<string>"
}
'
{
  "data": {
    "status": "<string>",
    "message_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Body

application/json
channel_id
string
required

Channel ID

Minimum string length: 1
state
string
required

Presence state

Minimum string length: 1
to
string
required

Recipient/chat phone

Minimum string length: 1
is_audio
boolean

Whether presence is audio recording

message_id
string

Provider message ID for providers requiring it

Response

OK

data
object
required